> ## Documentation Index
> Fetch the complete documentation index at: https://docs.risk.matrisk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Result

> Retrieve the results of a completed risk score job.



## OpenAPI

````yaml get /v1/risk-score/ppa-telematics/job/{job_id}/result
openapi: 3.1.0
info:
  title: Vehicle Crashes API
  summary: 'This is the documentation for the Matrisk Data API. '
  version: 1.0.0
servers: []
security: []
tags:
  - name: Aggregated Crashes
    description: >-
      Provides aggregated crash data to support risk analysis and scoring
      models.
  - name: CA Garaging Risk Score
    description: >-
      Risk score derived from the garaging location of **commercial auto** (CA)
      vehicles. Helps evaluate potential risks based on where vehicles are
      stored or parked.
  - name: CA Telematics Risk Score
    description: >-
      Risk score generated using telematics data from **commercial auto**
      vehicles.
  - name: PPA Garaging Risk Score
    description: >-
      Risk score based on the garaging location of **personal passenger auto**
      (PPA) vehicles, assessing the safety and risk factors associated with
      where the vehicle is kept.
  - name: PPA Telematics Risk Score
    description: >-
      Risk score based on telematics data from **personal passenger auto** (PPA)
      vehicles.
  - name: API Key
    description: >-
      Operations related to managing API keys for authentication and
      authorization purposes.
paths:
  /v1/risk-score/ppa-telematics/job/{job_id}/result:
    get:
      tags:
        - PPA Telematics Risk Score
      summary: Get Job Result
      description: Retrieve the results of a completed risk score job.
      operationId: get_telematics_ppa_job_result
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PPA_TelematicsRiskScoreResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PPA_TelematicsRiskScoreResponse:
      properties:
        job_type:
          type: string
          const: ppa-telematics-risk-score
          title: Job Type
          description: Type of job that was run.
          default: ppa-telematics-risk-score
          examples:
            - ppa-telematics-risk-score
        policy_holder_id:
          type: string
          title: Policy Holder Id
          description: Unique identifier for the policyholder.
          examples:
            - policy-holder-123
        version:
          type: string
          const: v1
          title: Version
          description: Version of the risk scoring model used.
          default: v1
          examples:
            - v1
        vehicle_risk_scores:
          items:
            $ref: >-
              #/components/schemas/src__app__schemas__client__telematics_ppa__VehicleRiskScore
          type: array
          title: Vehicle Risk Scores
          description: Risk scores for each vehicle.
      type: object
      required:
        - policy_holder_id
        - vehicle_risk_scores
      title: PPA_TelematicsRiskScoreResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    src__app__schemas__client__telematics_ppa__VehicleRiskScore:
      properties:
        version:
          type: string
          enum:
            - v1
            - v2
          title: Version
          description: Version of the risk scoring model used.
          default: v1
          examples:
            - v1
            - v2
        vehicle_id:
          type: string
          title: Vehicle Id
          description: Unique identifier for the vehicle.
          examples:
            - vehicle-123
        vehicle_risk_score:
          type: number
          maximum: 1
          minimum: 0
          title: Vehicle Risk Score
          description: >-
            Risk score for the vehicle. Ranges from 0 to 1 with higher scores
            indicating higher risk.
          examples:
            - 0.201
        metadata:
          anyOf:
            - $ref: >-
                #/components/schemas/src__app__schemas__client__telematics_ppa__TelematicsMetadata
            - type: 'null'
          description: Telematics metadata providing context for the risk score.
      type: object
      required:
        - vehicle_id
        - vehicle_risk_score
      title: VehicleRiskScore
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    src__app__schemas__client__telematics_ppa__TelematicsMetadata:
      properties:
        start:
          type: string
          format: date-time
          title: Start
          description: Start time of the analyzed data period.
          examples:
            - '2020-01-01T12:00:00'
        end:
          type: string
          format: date-time
          title: End
          description: End time of the analyzed data period.
          examples:
            - '2020-06-01T12:00:00'
        num_trips:
          type: integer
          title: Num Trips
          description: Total number of trips recorded.
          examples:
            - 56
        exposure_seconds:
          type: integer
          title: Exposure Seconds
          description: Total driving or exposure time in seconds.
          examples:
            - 8100
        state_exposure:
          anyOf:
            - items:
                $ref: '#/components/schemas/StateExposure'
              type: array
            - type: 'null'
          title: State Exposure
          description: >-
            List of U.S. states where driving occurred, if available.


            Note, if the drivers passes into states where we do not have data,
            those data points will be omitted.
          examples:
            - - exposure_seconds: 8100
                share: 0.5
                usstate: OH
              - exposure_seconds: 4500
                share: 0.25
                usstate: MI
              - exposure_seconds: 3600
                share: 0.25
                usstate: ID
      type: object
      required:
        - start
        - end
        - num_trips
        - exposure_seconds
      title: TelematicsMetadata
    StateExposure:
      properties:
        usstate:
          $ref: '#/components/schemas/USState'
        exposure_seconds:
          type: integer
          minimum: 0
          title: Exposure Seconds
        share:
          type: number
          maximum: 1
          minimum: 0
          title: Share
      type: object
      required:
        - usstate
        - exposure_seconds
        - share
      title: StateExposure
    USState:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      title: USState
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````